Skip to main content

Get job by dataset ID

Fetch the job associated with the specified dataset ID. If multiple jobs are found, the first one is returned and a warning is logged.

Query Parameters
datasetId string — REQUIRED

The ID of the dataset to get the job for

datasetId string
Responses
200

Job found for the given dataset ID datasetId

Schema — OPTIONAL
id string — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string
executionMode string — OPTIONAL

Possible values: [batch, streaming]

schedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
status string — OPTIONAL

Possible values: [active, paused]

priority int32 — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Invalid dataset ID provided.

404

No job found for the specified dataset ID datasetId

Schema — OPTIONAL
string